bimetricsEntwickler
Umsätze

Umsatz lesen

Als Markdown ansehen

Benötigte Berechtigung:read(Daten lesen)

GET
/api/banktransaction/{id}

Liefert einen Bankumsatz mit Zuordnung (match) und Buchungen.

Benötigt einen Schlüssel mit der Berechtigung read.

Authentifizierung

AuthentifizierungBearer <token>

Empfohlen: Authorization: Bearer bm_…. Der Schlüssel wird nur einmal angezeigt; nie in URLs, Logs oder Frontend-Code ablegen.

In: header

Pfadparameter

id*string

ID des Umsatzes (UUID).

Formatuuid

Antworten

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl --fail-with-body "https://app.bimetrics.de/api/banktransaction/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Authorization: Bearer $BIMETRICS_API_KEY"
{  "accountIBAN": "DE89370400440532013000",  "bankAccount": {    "IBAN": "DE89370400440532013000",    "accountOwner": null,    "accountOwnerId": "53cd10a9-c864-4dc3-a777-9860d59efe6c",    "balance": 2465032,    "balanceAvailable": true,    "balanceCurrency": "EUR",    "balanceDate": "2026-09-27T05:00:12Z",    "bankName": "Commerzbank",    "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5",    "createdAt": "2026-03-02T11:48:30Z",    "currency": "EUR",    "disabled": false,    "id": "8faaa132-ef45-4af2-8dbb-a139b051f10f",    "ownerName": "Hansen & Kowalski Werbetechnik GmbH",    "productName": "Geschäftskonto",    "updatedAt": "2026-09-27T05:00:12Z"  },  "bankAccountId": "8faaa132-ef45-4af2-8dbb-a139b051f10f",  "bookingDate": {    "day": 12,    "month": 9,    "year": 2026  },  "bookingDateTime": null,  "bookings": [    {      "account": 1201,      "accountContra": 11004,      "accountingModel": "SKR03",      "amount": "1785",      "bookingDate": {        "day": 12,        "month": 9,        "year": 2026      },      "bookingFlags": "",      "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5",      "createdAt": "2026-09-12T07:30:19Z",      "finalized": null,      "id": "a91d68ff-83b1-43a7-b373-91eb6adcebc6",      "label": "Zahlung, Brauhaus Elbwiese GmbH, RE-2026-0142",      "performanceFrom": null,      "performanceTo": null,      "refBankTransactionId": "a1ba4b85-5bd8-4cef-bbbd-16eaa2c46033",      "refDocumentId": null,      "refMatch": "e21b3d18-17ea-4318-810c-919ec0a94dcb",      "revertsAccountBookingId": null,      "updatedAt": "2026-09-12T07:30:19Z"    }  ],  "checkId": null,  "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5",  "createdAt": "2026-09-12T05:10:41Z",  "id": "a1ba4b85-5bd8-4cef-bbbd-16eaa2c46033",  "mandateId": null,  "match": {    "amountOpen": 0,    "autoMatch": true,    "bankTransactions": [      {        "bankTransactionId": "a1ba4b85-5bd8-4cef-bbbd-16eaa2c46033",        "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5",        "createdAt": "2026-09-12T07:30:15Z",        "id": "840529df-2d2a-42ea-afa3-3704d855634f",        "matchId": "e21b3d18-17ea-4318-810c-919ec0a94dcb",        "updatedAt": "2026-09-12T07:30:15Z"      }    ],    "category": "payment",    "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5",    "createdAt": "2026-09-12T07:30:15Z",    "documents": [      {        "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5",        "createdAt": "2026-09-12T07:30:15Z",        "documentId": "3026096b-614f-40d3-8749-8acf9b529480",        "id": "3432135f-5b01-4288-9764-e1ff7d061777",        "matchId": "e21b3d18-17ea-4318-810c-919ec0a94dcb",        "updatedAt": "2026-09-12T07:30:15Z"      }    ],    "id": "e21b3d18-17ea-4318-810c-919ec0a94dcb",    "matchingRule": null,    "matchingRuleId": null,    "updatedAt": "2026-09-12T07:30:15Z"  },  "otherPartyIBAN": "DE02120300000000202051",  "otherPartyName": "Brauhaus Elbwiese GmbH",  "otherPartyUltimate": null,  "remittanceInformation": "RE-2026-0142 Brauhaus Elbwiese",  "status": "booked",  "transactionAmount": 178500,  "transactionCurrency": "EUR",  "updatedAt": "2026-09-12T07:30:19Z",  "valueDate": {    "day": 12,    "month": 9,    "year": 2026  },  "valueDateTime": null}